Summary:	X selection manipulation program
Summary(pl.UTF-8):	Program do manipulacji schowkiem X
Name:		xsel
Version:	1.2.1
Release:	1
License:	BSD-like
Group:		X11/Applications
#Source0Download: https://github.com/kfish/xsel/releases
Source0:	https://github.com/kfish/xsel/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	a11b94ec0d664eca48d38cf6f4dea356
URL:		http://www.kfish.org/software/xsel/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.14
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XSel is a command-line program for getting and setting the contents of
the X selection. Normally this is only accessible by manually
highlighting information and pasting it with the middle mouse button.

%description -l pl.UTF-8
XSel to działający z linii poleceń program do pobierania i ustawiania
zawartości schowka X. Zwykle jest to dostępne tylko przez ręczne
podświetlanie informacji i wklejanie ich środkowym przyciskiem myszy.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README rant.txt release_notes
%attr(755,root,root) %{_bindir}/xsel
%{_mandir}/man1/xsel.1x*
%changelog
* Mon Jan 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xsel.git;a=log;h=master

* Sun Jan 28 2024 Jakub Bogusz <qboosh@pld-linux.org> cc105f6
- updated to 1.2.1

* Thu Aug 28 2008 vip <vip@pld-linux.org> 30c3488
- up to 1.2.0

* Sun Apr 08 2007 shadzik <shadzik@pld-linux.org> bc080c6
- Th depencies

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3283ced
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d9b923e
- converted to UTF-8

* Thu Dec 15 2005 Jakub Bogusz <qboosh@pld-linux.org> 5adfbfd
- pl, Source0 URL

* Sun Dec 11 2005 leafnode <leafnode@pld-linux.org> ce5b563
- import

